## ros-lunar-multisense-lib 4.0.2

=== sensor_api/CMakeLists.txt ===
# @file CMakeLists.txt 
# 
# Top level build instructions.
#

#
# Make sure there is a reasonable version of CMAKE installed.
#

cmake_minimum_required(VERSION 2.8)

project(LibMultiSense)

# For Backwards compatablity with other ROS builds
if (BASE_DIRECTORY)
else()
    set(BASE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
    set(SOURCE_DIRECTORY )
endif()

# Define where the result of the build should go.

if (CMAKE_RUNTIME_OUTPUT_DIRECTORY)
else()
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BASE_DIRECTORY}/bin)
endif()

if (CMAKE_LIBRARY_OUTPUT_DIRECTORY)
else()
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${BASE_DIRECTORY}/bin)
endif()

#
# We want to build "Release" by default
#

if (CMAKE_BUILD_TYPE)
else()
  set(CMAKE_BUILD_TYPE "Release")
endif()

#
# Turn on optimizations and maximum warnings.
#

# Turn on debugging symbols / optimizations and warnings.  To choose
# which build type, use "cmake -DCMAKE_BUILD_TYPE=Debug <directory>" or
# "cmake -DCMAKE_BUILD_TYPE=Release <directory>".

if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")

    set(CMAKE_C_FLAGS_DEBUG "-Zi -W3")
    set(CMAKE_CXX_FLAGS_DEBUG "-Zi -W3")

    set(CMAKE_C_FLAGS_RELEASE "-Zi -O2 -W3 -Gy -Oy")
    set(CMAKE_CXX_FLAGS_RELEASE "-Zi -O2 -W3 -Gy -Oy")

	#TODO: MSVC warns about deprecated functions. These 
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS)

else ()

    set(CMAKE_C_FLAGS_DEBUG "-g -Wall -fstrict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g -Wall -fstrict-aliasing")

    set(CMAKE_C_FLAGS_RELEASE "-g -O2 -Wall -ffunction-sections -fomit-frame-pointer -Wall -fstrict-aliasing")
    set(CMAKE_CXX_FLAGS_RELEASE "-g -O2 -Wall -ffunction-sections -fomit-frame-pointer -Wall -fstrict-aliasing")

endif ()

# Dispatch to subordinate CMakeList.txt files.

add_subdirectory(source)

=== sensor_api/source/CMakeLists.txt ===
#
# MultiSense - Makefile
#

#
# Recurse into each of these directories.
#

add_subdirectory(LibMultiSense)
add_subdirectory(Utilities)

=== sensor_api/source/Utilities/CMakeLists.txt ===
#
# MultiSense - Makefile
#

#
# Search the source directory for header files.
#

include_directories (
    ${BASE_DIRECTORY}${SOURCE_DIRECTORY}/source
)

#
# Common libraries that each utility needs to link with.
#

if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")

set (MULTISENSE_UTILITY_LIBS
    MultiSense
    ws2_32
)

else ()

set (MULTISENSE_UTILITY_LIBS
    MultiSense
    pthread
    rt
)

endif ()

#
# Check for a system-defined implementation of getopt
#

include (CheckFunctionExists)
check_function_exists (getopt HAVE_GETOPT)

if (HAVE_GETOPT)
    add_definitions (-DCRL_HAVE_GETOPT=1)
else ()
    add_subdirectory (portability/getopt)
    set (MULTISENSE_UTILITY_LIBS ${MULTISENSE_UTILITY_LIBS} getopt)
endif ()

#
# Recurse into each of these directories.
#

add_subdirectory(FlashUtility)
add_subdirectory(ChangeIpUtility)
add_subdirectory(DeviceInfoUtility)
add_subdirectory(SaveImageUtility)
add_subdirectory(DirectedStreamsUtility)
add_subdirectory(ImuTestUtility)
add_subdirectory(ImuConfigUtility)
add_subdirectory(ImageCalUtility)
add_subdirectory(SensorCalUtility)
add_subdirectory(LidarCalUtility)
add_subdirectory(ExternalCalUtility)
add_subdirectory(ChangeResolution)
add_subdirectory(ChangeTransmitDelay)
add_subdirectory(ChangeFps)

=== sensor_api/source/Utilities/ChangeFps/CMakeLists.txt ===
#
# ChangeFps - Makefile
#

#
# Setup the executable that we will use.
#

add_executable(ChangeFps ChangeFps.cc)

#
# Specify libraries against which to link.
#

target_link_libraries (ChangeFps ${MULTISENSE_UTILITY_LIBS})

=== sensor_api/source/Utilities/ChangeTransmitDelay/CMakeLists.txt ===
#
# ChangeTransmitDelay - Makefile
#

#
# Setup the executable that we will use.
#

add_executable(ChangeTransmitDelay ChangeTransmitDelay.cc)

#
# Specify libraries against which to link.
#

target_link_libraries (ChangeTransmitDelay ${MULTISENSE_UTILITY_LIBS})

=== sensor_api/source/Utilities/ImuConfigUtility/CMakeLists.txt ===
#
# ImuConfigUtility - Makefile
#

#
# Setup the executable that we will use.
#

add_executable(ImuConfigUtility ImuConfigUtility.cc)

#
# Specify libraries against which to link.
#

target_link_libraries (ImuConfigUtility ${MULTISENSE_UTILITY_LIBS})

=== sensor_api/source/Utilities/LidarCalUtility/CMakeLists.txt ===
#
# LidarCalUtility - Makefile
#

#
# Setup the executable that we will use.
#

add_executable(LidarCalUtility LidarCalUtility.cc)

#
# Specify libraries against which to link.
#

target_link_libraries (LidarCalUtility ${MULTISENSE_UTILITY_LIBS})

=== sensor_api/source/Utilities/portability/getopt/CMakeLists.txt ===
#
# portability/getopt - Makefile
#

add_library (getopt STATIC
    getopt.c
)

=== debian/changelog ===
ros-lunar-multisense-lib (4.0.2-1xenial) xenial; urgency=high

  * added C++98 compatibility
  * Contributors: Quentin Torgerson <mailto:qtorgerson@carnegierobotics.com>

 -- Carnegie Robotics <support@carnegierobotics.com>  Wed, 03 Apr 2019 04:00:00 -0000

ros-lunar-multisense-lib (3.3.0-1xenial) xenial; urgency=high

  * Updated LibMultiSense to build under C++11. Added URDF for the MultiSense S7/S7S and BCAM. Added support for 16 bit mono images. Added support for the MultiSense ST21 thermal stereo camera. Added organized pointcloud publishing. Changed laser and camera pointcloud color fields to FLOAT32 for PCL compatibility. Changed default color image encoding to BGR8. Added spindle joint publishing via the ROS joint_state_publisher. Updated multisense_cal_check to handle various serial number entires. Added the launch-file sensor parameter to load different URDF’s on startup. Published camera info topics for each image topic (for unrectified topics K, D, and R are populated). Added default laser transform publishing to keep the laser TF tree valid even when there are no subscriptions to laser topics.
  * Changed license from LGPL to BSD in both the ROS Driver and LibMultiSense C++ library. Fixed bug in disparity image publishing.  Fixed bug in raw_cam_config publishing.  Fixed bug in building using rosbuild under Groovy, Hydro, Indigo, etc.  Fixed Jenkins linking issue with libpng. Fixed termination bug in process_bags.py.
  * Remove '-march=native' compiler options as it is causing assembler errors on some platforms (specifically: Haswell/12.04_amd64/ROS Hydro)
  * Add wire-protocol support for DirectedStreams on CRL's Monocular IP Camera. Misc. other bugfixes.
  * Adding support files for MultiSense-S21 and Mono IP Camera products
  * Add initial support for CRL's Mono IP Camera. Numerous fixes in catkin build infrastructure.
  * Add support for catkin and rosbuild (Builds under Fuerte, Groovy, Hydro, and Indigo). Transitioned laser calibration from KDL and joint_state_publisher to pure ROS TF messages. Add support for multiple Multisene units via namespacing and tf_prefix's. Modified default topic names to reflect the new namespacing parameters (Default base namespace is now /multisense rather than /multisense_sl). Add support for 3.1_beta sensor firmware which includes support for Multisense-S21 units. Please note that the 3.1 ROS driver release is fully backwards compatible with all 2.X firmware versions.
  * Release_3.0_beta: Add support for 3.0_beta sensor firmware (SGM hardware stereo core: disparity at all resolutions, 2:1 rectangular pixel modes, 64/128/256 disparity modes, hardware bi-lateral post-stereo disparity filter support with tuning), add colorized points2 topic, add pointcloud egde and range filtering, add raw left/right disparitiy image topics, add stereo-cost image topic, misc other feature enhancements and bugfixes.  Please note that the 3.0_beta release is fully backwards compatiblie with all 2.X firmware versions.
  * Release_2.3: Add support for 2.3 sensor firmware (IMU / CMV4000 support), add 'MultiSenseUpdater' firmware upgrade tool, add smart dynamic_reconfigure presentation, remove multisense_diagnostics/multisense_dashboard, wire protocol to version 3.0 (w/ support for forthcoming SGM core), misc. other bugfixes and feature enhancements.
  * Low-level c++ API to version 2.2
  * -Add PPS topic: /multisense_sl/pps (std_msgs/Time)
    -Corrected step size of color images, which now display correctly using image_view
    -Add 'network_time_sync' option to dynamic reconfigure
  * Imported Release 2.0 of MultiSense-SL ROS driver.
  * Contributors: David LaRose <mailto:dlr@carnegierobotics.com>, Eric Kratzer <mailto:ekratzer@carnegierobotics.com>, Matt Alvarado <mailto:malvarado@carnegierobotics.com>

 -- Carnegie Robotics <support@carnegierobotics.com>  Tue, 30 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-lunar-multisense-lib
Section: misc
Priority: extra
Maintainer: Carnegie Robotics <support@carnegierobotics.com>
Build-Depends: debhelper (>= 9.0.0), libpng12-dev, ros-lunar-catkin, ros-lunar-cv-bridge
Homepage: https://bitbucket.org/crl/multisense_ros
Standards-Version: 3.9.2

Package: ros-lunar-multisense-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpng12-dev, ros-lunar-cv-bridge
Description: multisense_lib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-multisense-lib//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
